Bug 1459255 - Deployment Error when deploying collectd agent with ceph plugin enabled
Deployment Error when deploying collectd agent with ceph plugin enabled
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-collectd (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Leonid Natapov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 12:02 EDT by Chris Janiszewski
Modified: 2017-09-20 16:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-08 02:52:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
os-collect-config from failed deployment (2.61 MB, text/x-vhdl)
2017-06-06 12:02 EDT, Chris Janiszewski
no flags Details

  None (edit)
Description Chris Janiszewski 2017-06-06 12:02:17 EDT
Created attachment 1285466 [details]
os-collect-config from failed deployment

Description of problem:
Deployment Error when deploying collectd agent with ceph plugin enabled:

Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation Error: Error while evaluating a Function Call, nil is not an Array.  It looks to be a NilClass at /etc/puppet/modules/collectd/manifests/plugin/ceph.pp:47:3  at /etc/puppet/modules/tripleo/manifests/profile/base/metrics/collectd/collectd_service.pp:8 on node hextupleo-controller-0.localdomain


Version-Release number of selected component (if applicable):
OSP11

How reproducible:
Every time if ceph plugin on collectd enabled

Steps to Reproduce:
1. prepare collectd-environment.yaml file to include ceph plugin
2. include collectd-environment.yaml in deployment script
3. deploy osp11

Actual results:
OSP Deployment fails with error stated above

Expected results:
OSP Deployment completed with ceph plugin enabled

Additional info:


[stack@undercloud ~]$ cat templates/collectd-environment.yaml 
resource_registry:
  OS::TripleO::Services::Collectd: ./puppet/services/metrics/collectd.yaml

parameter_defaults:
 CollectdServer: 10.9.65.147
 CollectdExtraPlugins:
   - disk
   - df
   - cpu
   - interface
   - load
   - memory
   - ceph
   - processes
   - tcpconns
   - ethstat
   - netlink
 ExtraConfig:
   collectd::plugin::netlink::interfaces: ['eth0', 'eth1', 'eth2', 'eth3', 'eth4', 'eth5', 'eth6']

Deployment finishes up successfully after removal of ceph plugin.
Attached dump from os-collect-config
Comment 1 Martin Magr 2017-09-06 04:50:49 EDT
You are most probably missing 'collectd::plugin::ceph::deamons' parameter value in your ExtraConfig. I will try to reproduce this.
Comment 2 Martin Magr 2017-09-06 04:52:49 EDT
For more info please check https://github.com/voxpupuli/puppet-collectd/blob/master/manifests/plugin/ceph.pp#L8
Comment 3 Martin Magr 2017-09-08 02:52:29 EDT
So it's exactly as I thought. You have to pass also 'collectd::plugin::ceph::deamons' to successfully deploy collectd-ceph plugin.

Note You need to log in before you can comment on or make changes to this bug.